Foxit PDF SDK

Public Member Functions | List of all members
FSDK.FreeText Class Reference
Inheritance diagram for FSDK.FreeText:

## Public Member Functions
| AllowTextOverflow (is_text_overflow)
| Decide whether to allow the text of freetext to overflow or not. More...
| constructor ()
| Constructor.
| constructor (annot)
| Constructor, with parent class object. More...
| GetAlignment ()
| Get alignment value. More...
| GetCalloutLineEndingStyle ()
| Get line ending style of the start point in a callout line. More...
| GetCalloutLinePoints ()
| Get a point of callout line points. More...
| GetDefaultAppearance ()
| Get default appearance data. More...
| GetFillColor ()
| Get fill color. More...
| GetInnerRect ()
| Get the inner rectangle. More...
| GetRotation ()
| Get current rotation value (in clockwise). More...
| GetTextMatrix ()
| Get matrix in default appearance data for text in current free text annotation. More...
| Rotate (rotation)
| Rotate current annotation from current state with specified rotation value (in clockwise). More...
| SetAlignment (alignment)
| Set alignment value. More...
| SetCalloutLineEndingStyle (ending_style)
| Set line ending style of the start point in a callout line. More...
| SetCalloutLinePoints (point_array)
| Set points for callout line. More...
| SetDefaultAppearance (default_ap)
| Set default appearance data. More...
| SetFillColor (fill_color)
| Set fill color. More...
| SetInnerRect (inner_rect)
| Set the inner rectangle. More...
| SetRotation (rotation)
| Set rotation value (in clockwise). More...
| SetTextMatrix (text_matrix)
| Set matrix in default appearance data for text in current free text annotation. More...
Public Member Functions inherited from FSDK.Markup
| AddReply ()
| Add a new reply to the end of reply list. More...
| AddRichText (content, style)
| Add a new rich text string to the end. More...
| AddStateAnnot (title, model, state)
| Add a new state annotation. More...
| constructor (annot)
| Constructor, with parent class object. More...
| constructor ()
| Constructor.
| GetBorderOpacity ()
| Get the border opacity of the annotation. More...
| GetCreationDateTime ()
| Get creation date time. More...
| GetFillOpacity ()
| Get the fill opacity of the annotation. More...
| GetGroupElements ()
| Get an element (as markup annotation) from the group that current markup annotation belongs to. More...
| GetGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. More...
| GetIntent ()
| Get intent name. More...
| GetOpacity ()
| Get opacity value. More...
| GetPopup ()
| Get related pop-up annotation. More...
| GetReply (index)
| Get a reply by index. More...
| GetReplyCount ()
| Count all replies. More...
| GetRichTextContent (index)
| Get text string of a rich text string specified by index. More...
| GetRichTextCount ()
| Get the count of rich text strings. More...
| GetRichTextStyle (index)
| Get style data of a rich text string specified by index. More...
| GetStateAnnots (model)
| Get all state annotations in a specified state model. More...
| GetSubject ()
| Get subject string. More...
| GetTitle ()
| Get title string. More...
| InsertRichText (index, content, style)
| Insert a new rich text string to the place which is specified by index. More...
| IsGrouped ()
| Check whether current markup annotation is in a group or not. More...
| RemoveAllReplies ()
| Remove all the replies. More...
| RemoveAllStateAnnots ()
| Remove all the state annotations. More...
| RemovePopup ()
| Remove related pop-up annotation. More...
| RemoveReply (index)
| Remove a reply by index. More...
| RemoveRichText (index)
| Remove a rich text string specified by index. More...
| SetBorderOpacity (opacity)
| Set the border opacity of the annotation. More...
| SetCreationDateTime (date_time)
| Set creation date time. More...
| SetFillOpacity (opacity)
| Set the fill opacity of the annotation. More...
| SetIntent (intent)
| Set intent name. More...
| SetOpacity (opacity)
| Set opacity value. More...
| SetPopup (popup)
| Set related pop-up annotation. More...
| SetRichTextContent (index, content)
| Set text string of a rich text string specified by index. More...
| SetRichTextStyle (index, style)
| Set style data of a rich text string specified by index. More...
| SetSubject (subject)
| Set subject string. More...
| SetTitle (title)
| Set title string. More...
| Ungroup ()
| Ungroup current markup annotation from the group it belongs to. More...
Public Member Functions inherited from FSDK.Annot
| constructor (page, annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
| constructor ()
| Constructor.
| GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
| GetBorderColor ()
| Get border color. More...
| GetBorderInfo ()
| Get border information. More...
| GetContent ()
| Get content. More...
| GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
| GetDict ()
| Get annotation's dictionary object. More...
| GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
| GetFlags ()
| Get annotation flags. More...
| GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
| GetModifiedDateTime ()
| Get last modified date time. More...
| GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
| GetPage ()
| Get the related PDF page. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get actual annotation type of current annotation. More...
| GetUniqueID ()
| Get unique ID. More...
| HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsMarkup ()
| Check if current annotation is a markup annotation. More...
| Move (rect)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| RemoveProperty (property)
| Remove a specified annotation's property. More...
| ResetAppearanceStream ()
| Reset appearance stream. More...
| ResetAppearanceStream (is_generate_new_appearance_obj)
| Reset appearance stream. More...
| SetBorderColor (color)
| Set border color. More...
| SetBorderInfo (border)
| Set border information. More...
| SetContent (content)
| Set content. More...
| SetFlags (flags)
| Set annotation flags. More...
| SetModifiedDateTime (date_time)
| Set last modified date time. More...
| SetUniqueID (unique_id)
| Set unique ID. More...

## Additional Inherited Members
Static Public Attributes inherited from FSDK.Markup
static | e_EndingStyleButt
| A short line at the endpoint perpendicular to the line itself.
static | e_EndingStyleCircle
| A circle filled with the annotation's interior color if any.
static | e_EndingStyleClosedArrow
| Two short lines meeting in an acute angle as in the OpenArrow style and connected by a third line to form a triangular closed arrowhead filled with the annotation's interior color if any.
static | e_EndingStyleDiamond
| A diamond shape filled with the annotation's interior color if any.
static | e_EndingStyleNone
| Enumeration for line ending style. More...
static | e_EndingStyleOpenArrow
| Two short lines meeting in an acute angle to form an open arrowhead.
static | e_EndingStyleRClosedArrow
| A triangular closed arrowhead in the reverse direction from ClosedArrow.
static | e_EndingStyleROpenArrow
| Two short lines in the reverse direction from OpenArrow.
static | e_EndingStyleSlash
| A short line at the endpoint approximately 30 degrees clockwise from perpendicular to the line itself.
static | e_EndingStyleSquare
| A square filled with the annotation's interior color if any.
static | e_MeasureTypeA
| Measurement of area.
static | e_MeasureTypeD
| Measurement of distance in any direction.
static | e_MeasureTypeS
| Measurement of the slope of a line.
static | e_MeasureTypeT
| Measurement of angles.
static | e_MeasureTypeX
| Enumeration for annotation's measure type. More...
static | e_MeasureTypeY
| Measurement of change along the y axis.
static | e_StateAccepted
| (Used with state model FSDK.Markup.e_StateModelReview) The user agrees with the change.
static | e_StateCancelled
| (Used with state model FSDK.Markup.e_StateModelReview) The change has been cancelled.
static | e_StateCompleted
| (Used with state model FSDK.Markup.e_StateModelReview) The change has been completed.
static | e_StateDeferred
| (Used with state model FSDK.Markup.e_StateModelReview) The change has been deferred.
static | e_StateFuture
| (Used with state model FSDK.Markup.e_StateModelReview) The change will be working in the future.
static | e_StateMarked
| (Used with state model FSDK.Markup.e_StateModelMarked) The annotation has been marked by the user.
static | e_StateModelMarked
| Enumeration for markup annotation's state model. More...
static | e_StateModelReview
| Markup annotation state model: review.
static | e_StateNone
| Enumeration for markup annotation's state. More...
static | e_StateRejected
| (Used with state model FSDK.Markup.e_StateModelReview) The user disagrees with the change.
static | e_StateUnmarked
| (Used with state model FSDK.Markup.e_StateModelMarked) The annotation has not been marked by the user.
Static Public Attributes inherited from FSDK.Annot
static | e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
static | e_AppearanceTypeDown
| Annotation's down appearance.
static | e_AppearanceTypeNormal
| Enumeration for the type of annotation's appearance. More...
static | e_AppearanceTypeRollover
| Annotation's rollover appearance.
static | e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FlagHidden
| Annotation flag: hidden. More...
static | e_FlagInvisible
| Enumeration for PDF annotation flags. More...
static | e_FlagLocked
| Annotation flag: locked. More...
static | e_FlagLockedContents
| Annotation flag: locked contents. More...
static | e_FlagNoRotate
| Annotation flag: no rotate. More...
static | e_FlagNoView
| Annotation flag: no view. More...
static | e_FlagNoZoom
| Annotation flag: no zoom. More...
static | e_FlagPrint
| Annotation flag: print. More...
static | e_FlagReadOnly
| Annotation flag: read only. More...
static | e_FlagToggleNoView
| Annotation flag: toggle no view. More...
static | e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
static | e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
static | e_HighlightingNone
| Enumeration for PDF annotation highlighting mode. More...
static | e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
static | e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
static | e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
static | e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
static | e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
static | e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
static | e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
static | e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
static | e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
static | e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
static | e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
static | e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
static | e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
static | e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
static | e_MKEntryRotation
| Enumeration for annotation's MK dictionary (an appearance characteristics) entry. More...
static | e_MKRelationCaptionAboveIcon
| Caption above the icon.
static | e_MKRelationCaptionBelowIcon
| Caption below the icon.
static | e_MKRelationCaptionLeft
| Caption to the left of the icon.
static | e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
static | e_MKRelationCaptionRight
| Caption to the right of the icon.
static | e_MKRelationNoCaption
| No caption; icon only.
static | e_MKRelationNoIcon
| Enumeration for icon and caption relative position in annotation's MK dictionary. More...
static | e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
static | e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
static | e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PropertyBorderColor
| Annotation property: border color. More...
static | e_PropertyCreationDate
| Annotation property: creation date. More...
static | e_PropertyFillColor
| Annotation property: fill color. More...
static | e_PropertyModifiedDate
| Enumeration for some PDF annotation property. More...
static | e_PSInk
| Annotation type: pressure sensitive ink annotation.
static | e_Redact
| Annotation type: redact annotation.
static | e_RichMedia
| Annotation type: rich media annotation.
static | e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
static | e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
static | e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_UnknownType
| Enumeration for PDF annotation type. More...
static | e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A free text annotation displays text directly on the page. So free text annotation does not need a related pop-up annotation to show the text.
Free text annotation is a kind of markup annotation, so class FSDK.FreeText is derived from class FSDK.Markup, and also offers functions to get/set free text annotation's properties and reset appearance stream of a free text annotation.

Note
  For a newly created free text annotation, if user calls function FSDK.Annot.ResetAppearanceStream directly without setting any properties, the default appearance will be used:
  border width = 1.0, border style = FSDK.BorderInfo.e_Solid, border color = 0xFFFF0000 (red), opacity = 1.0, alignment = 0 (as left-justified), default appearance flags = FSDK.DefaultAppearance.e_FlagFont| FSDK.DefaultAppearance.e_FlagTextColor| FSDK.DefaultAppearance.e_FlagFontSize, default appearance font is created based on FSDK.Font.e_StdIDHelvetica, default appearance text size = 12, default appearance text color = 0xFF0000FF (blue).

See also
  FSDK.Markup

## Member Function Documentation

## ◆ AllowTextOverflow()

FSDK.FreeText.AllowTextOverflow | ( | is_text_overflow |  | ) |

Decide whether to allow the text of freetext to overflow or not.

For callout object and textbox object, if this function is not called,text of callout or textbox is allowed to overflow by default. For typewriter object, if this function is not called, text of typerwriter is not allowed to overflow by default.

Parameters

  [in] | is_text_overflow | A boolean value to decide whether text content is allowed to overflow or not when the size of the freetext rectangle is smaller than the size of the text content: true means text content is allowed to overflow. So in this case, overflowed text content will be truncated. false means text content is not allowed to overflow. So in this case, the callout rectangle will be adapted to contain the whole text content automatically.

Returns
  None.

## ◆ constructor()

FSDK.FreeText.constructor | ( | annot |  | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## ◆ GetAlignment()

FSDK.FreeText.GetAlignment | ( |  | ) |

Get alignment value.

Deprecated:
  Current function has been deprecated since Foxit PDF SDK 8.2. This property will not have any effect on free text annotation's appearance any more.For getting the alignment property, please call function FSDK.Markup.GetRichTextStyle. Please refer to RichText related function in FSDK.Markup for more details.

This property has effect on free text annotation's appearance.

Returns
  The alignment value. Please refer to values starting from FSDK.e_AlignmentLeft and this would be one of these values.

## ◆ GetCalloutLineEndingStyle()

FSDK.FreeText.GetCalloutLineEndingStyle | ( |  | ) |

Get line ending style of the start point in a callout line.

Only when the intent name of a free text annotation is "FreeTextCallout", this free text annotation can have line ending style property, and this property has effect on this kind of free text annotation's appearance.

Returns
  The line ending style of the start point. Please refer to values starting from FSDK.Markup.e_EndingStyleNone and this would be one of these values.

## ◆ GetCalloutLinePoints()

FSDK.FreeText.GetCalloutLinePoints | ( |  | ) |

Get a point of callout line points.

Only when the intent name of a free text annotation is "FreeTextCallout", this free text annotation can have callout line points property, and this property has effect on this kind of free text annotation's appearance. For a callout line, it can contain 2 or 3 points:

- 2 points represent the starting point and ending point of the callout line.
- 3 points represent the starting point, knee point, and ending point of the callout line.

Returns
  A point array that represents the points used for callout line of a callout free text annotation.

## ◆ GetDefaultAppearance()

FSDK.FreeText.GetDefaultAppearance | ( |  | ) |

Get default appearance data.

This property has effect on free text annotation's appearance. Default appearance data can be used in formatting text.

Returns
  The default appearance data.

## ◆ GetFillColor()

FSDK.FreeText.GetFillColor | ( |  | ) |

Get fill color.

This property has effect on free text annotation's appearance. Fill color is used to fill the background of text box, and also for some callout line ending styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".

Returns
  The fill color. Format: 0xRRGGBB. If no fill color can be found, 0x000000 will be returned.

## ◆ GetInnerRect()

FSDK.FreeText.GetInnerRect | ( |  | ) |

Get the inner rectangle.

This property has effect on free text annotation's appearance. For a free text annotation, inner rectangle is where the annotation's text should be displayed. The inner rectangle could be just the same as or less than the annotation's rectangle, and should never be larger than annotation's rectangle.

Returns
  The inner rectangle.

## ◆ GetRotation()

FSDK.FreeText.GetRotation | ( |  | ) |

Get current rotation value (in clockwise).

Returns
  Current rotation value (in clockwise). Please refer to values starting from FSDK.e_Rotation0 and this would be one of these values.

## ◆ GetTextMatrix()

FSDK.FreeText.GetTextMatrix | ( |  | ) |

Get matrix in default appearance data for text in current free text annotation.

Deprecated:
  Current function has been deprecated since Foxit PDF SDK 7.4. This property will not have any effect on annotation's appearance any more.

This property has effect on free text annotation's appearance. This property can be used to change the skew of text's display.

Returns
  Matrix used for text in default appearance.

## ◆ Rotate()

FSDK.FreeText.Rotate | ( | rotation |  | ) |

Rotate current annotation from current state with specified rotation value (in clockwise).

Parameters

  [in] | rotation | Rotation value which represents the degree used to rotate current annotation from current state in clockwise. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown. Specially, if the input value is FSDK.e_Rotation0 (which means not to rotate current annotation), current function will do nothing.

Returns
  true means success, while false means failure.

## ◆ SetAlignment()

FSDK.FreeText.SetAlignment | ( | alignment |  | ) |

Set alignment value.

Deprecated:
  Current function has been deprecated since Foxit PDF SDK 8.2. This property will not have any effect on free text annotation's appearance any more.For setting the alignment property, please call function FSDK.Markup.SetRichTextStyle. Please refer to RichText related function in FSDK.Markup for more details.

This property has effect on free text annotation's appearance. If user wants the new alignment has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new alignment.

Parameters

  [in] | alignment | The new alignment value. Please refer to values starting from FSDK.e_AlignmentLeft and this should be one of these values. If other values is used to set, FSDK.e_AlignmentLeft will be used by default.

Returns
  None.

## ◆ SetCalloutLineEndingStyle()

FSDK.FreeText.SetCalloutLineEndingStyle | ( | ending_style |  | ) |

Set line ending style of the start point in a callout line.

Only when the intent name of a free text annotation is "FreeTextCallout", this free text annotation can have line ending style property, and this property has effect on this kind of free text annotation's appearance.
If user wants the new line ending style has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new line ending style.

Parameters

  [in] | ending_style | The line ending style for the start point to be set. Please refer to values starting from FSDK.Markup.e_EndingStyleNone and this should be one of these values.

Returns
  None.

## ◆ SetCalloutLinePoints()

FSDK.FreeText.SetCalloutLinePoints | ( | point_array |  | ) |

Set points for callout line.

Only when the intent name of a free text annotation is "FreeTextCallout", this free text annotation can have callout line points property, and this property has effect on this kind of free text annotation's appearance. For a callout line, it can contain 2 or 3 points:

- 2 points represent the starting point and ending point of the callout line.
- 3 points represent the starting point, knee point, and ending point of the callout line.

If user wants the new callout line points has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new callout line points.

Parameters

  [in] | point_array | New point array that specifies the starting point, knee point(if any) and ending point of the callout line. The count of elements should be 2 or 3: 2 points meand starting point and ending point; 3 points means the startign point, knee point and ending point. If the count of elements is above 3, only the first 3 points will be used to set callout line.

Returns
  None.

## ◆ SetDefaultAppearance()

FSDK.FreeText.SetDefaultAppearance | ( | default_ap |  | ) |

Set default appearance data.

This property has effect on free text annotation's appearance. Default appearance data can be used in formatting text.
If user wants the new default appearance data has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new default appearance data.

Parameters

  [in] | default_ap | The new default appearance data to be set. flags of input data can be used to decide which information is/are to be updated with the new data; for those no updated data, they will keep to use old data.

Returns
  true means success, while false means failure. Specially, this function will return false if the parameter default_ap contains any incorrect value, for example:
  - flags of input data includes the FSDK.DefaultAppearance.e_FlagFont but font of input data is invalid.
  - flags of input data includes the FSDK.DefaultAppearance.e_FlagFontSize but text size of input data is not bigger than zero.

## ◆ SetFillColor()

FSDK.FreeText.SetFillColor | ( | fill_color |  | ) |

Set fill color.

This property has effect on free text annotation's appearance. Fill color is used to fill the background of text box, and also for some callout line ending styles:
"Square", "Circle", "Diamond", "ClosedArrow", "RClosedArrow".
If user wants the new fill color has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new fill color.

Parameters

  [in] | fill_color | New fill color to be set. Format: 0xRRGGBB.

Returns
  None.

## ◆ SetInnerRect()

FSDK.FreeText.SetInnerRect | ( | inner_rect |  | ) |

Set the inner rectangle.

This property has effect on free text annotation's appearance. For a free text annotation, inner rectangle is where the annotation's text should be displayed. The inner rectangle could be just the same as or less than the annotation's rectangle, and should never be larger than annotation's rectangle.
If user wants the new inner rectangle has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new inner rectangle.

Parameters

  [in] | inner_rect | New inner rectangle to be set. It should be same as or less than annotation's rectangle.

Returns
  None.

## ◆ SetRotation()

FSDK.FreeText.SetRotation | ( | rotation |  | ) |

Set rotation value (in clockwise).

This property has effect on free text annotation's appearance. If user wants the new rotation has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new rotation.

Parameters

  [in] | rotation | New rotation value (in clockwise) to be set to current free text annotation. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown.

Returns
  None.

## ◆ SetTextMatrix()

FSDK.FreeText.SetTextMatrix | ( | text_matrix |  | ) |

Set matrix in default appearance data for text in current free text annotation.

Deprecated:
  Current function has been deprecated since Foxit PDF SDK 7.4. This property will not have any effect on annotation's appearance any more.

This property has effect on free text annotation's appearance. This property can be used to change the skew of text's display.
If user wants the new text matrix has effect on annotation's appearance, please call function FSDK.Annot.ResetAppearanceStream after setting new text matrix.

Parameters

  [in] | text_matrix | The new text matrix.

Returns
  None.